
Website Input - Task #2484

Python 3 support

10/31/2019 05:07 AM - Luke Murphey

Status: Closed Start date: 10/31/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.5.8   

Description

Subtasks:

Task # 2485: Make modular input work Closed

Task # 2486: Replace controller with REST handler Closed

Task # 2487: Fix search commands Closed

Task # 2489: Fix Broken pipe error in test web server Closed

Task # 2490: AttributeError: module 'urllib' has no attribute 'quote_plus' Closed

Task # 2491: Hash Helper produces different results on Python 3 Closed

Bug # 2494: Content-type is not detected Closed

Task # 2495: Test failures when attempting to authenticate Closed

Task # 2496: Results from scrape_page is a binary string Closed

Task # 2497: Scrape tests are failing Closed

Task # 2498: Fix unable to find geckodriver in path Closed

Task # 2501: WebClient is expected to return either binary string or Unicode Closed

Task # 2502: Fix deprecation warnings Closed

Task # 2503: Fix test failures due to no matches Closed

Associated revisions

Revision 699 - 10/31/2019 06:36 AM - lmurphey

Updating tests for Python support

Reference #2484

Revision 700 - 10/31/2019 06:37 AM - lmurphey

Updating libraries

html5lib 1.0.1

mechanize 0.4.3

EasyProcess 0.2.7

Reference #2484

Revision 703 - 11/01/2019 05:57 AM - lmurphey

Fixing tests

Reference #2484
Revision 715 - 11/05/2019 06:02 AM - lmurphey

More Python 3 support

Reference #2484

Revision 720 - 11/05/2019 06:41 PM - lmurphey

Improvement to encoding detection

Reference #2484

Revision 721 - 11/05/2019 07:21 PM - lmurphey

Fixing encoding issues

Reference #2484

Revision 725 - 11/06/2019 08:41 PM - lmurphey

Fixing error due to content returned by client

Reference #2484

History

#1 - 10/31/2019 05:11 AM - Luke Murphey

html5lib 1.0.1

mechanize 0.4.3

EasyProcess 0.2.7 (https://github.com/ponty/EasyProcess/releases)

#2 - 11/01/2019 08:31 PM - Luke Murphey

- Status changed from New to Closed

#3 - 11/05/2019 06:33 AM - Luke Murphey

- Status changed from Closed to In Progress

#4 - 11/09/2019 04:47 AM - Luke Murphey

- Category set to Input: Web Spider

#5 - 11/09/2019 04:48 AM - Luke Murphey

- Status changed from In Progress to Closed
